com.amazonaws.services.codedeploy.model

## Class ListDeploymentInstancesRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codedeploy.model.ListDeploymentInstancesRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class ListDeploymentInstancesRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of a list deployment instances operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`ListDeploymentInstancesRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListDeploymentInstancesRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getDeploymentId()` The unique ID of a deployment.
`List<String>` `getInstanceStatusFilter()` A subset of instances to list by status:
`String` `getNextToken()` An identifier returned from the previous list deployment instances call.
`int` `hashCode()`
`void` `setDeploymentId(String deploymentId)` The unique ID of a deployment.
`void` `setInstanceStatusFilter(Collection<String> instanceStatusFilter)` A subset of instances to list by status:
`void` `setNextToken(String nextToken)` An identifier returned from the previous list deployment instances call.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListDeploymentInstancesRequest` `withDeploymentId(String deploymentId)` The unique ID of a deployment.
`ListDeploymentInstancesRequest` `withInstanceStatusFilter(Collection<String> instanceStatusFilter)` A subset of instances to list by status:
`ListDeploymentInstancesRequest` `withInstanceStatusFilter(InstanceStatus... instanceStatusFilter)` A subset of instances to list by status:
`ListDeploymentInstancesRequest` `withInstanceStatusFilter(String... instanceStatusFilter)` A subset of instances to list by status:
`ListDeploymentInstancesRequest` `withNextToken(String nextToken)` An identifier returned from the previous list deployment instances call.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListDeploymentInstancesRequest

    public ListDeploymentInstancesRequest()

### Method Detail

#### setDeploymentId

    public void setDeploymentId(String deploymentId)

The unique ID of a deployment.

Parameters:
  `deploymentId` - The unique ID of a deployment.

#### getDeploymentId

    public String getDeploymentId()

The unique ID of a deployment.

Returns:
  The unique ID of a deployment.

#### withDeploymentId

    public ListDeploymentInstancesRequest withDeploymentId(String deploymentId)

The unique ID of a deployment.

Parameters:
  `deploymentId` - The unique ID of a deployment.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextToken

    public void setNextToken(String nextToken)

An identifier returned from the previous list deployment instances call. It can be used to return the next set of deployment instances in the list.

Parameters:
  `nextToken` - An identifier returned from the previous list deployment instances call. It can be used to return the next set of deployment instances in the list.

#### getNextToken

    public String getNextToken()

An identifier returned from the previous list deployment instances call. It can be used to return the next set of deployment instances in the list.

Returns:
  An identifier returned from the previous list deployment instances call. It can be used to return the next set of deployment instances in the list.

#### withNextToken

    public ListDeploymentInstancesRequest withNextToken(String nextToken)

An identifier returned from the previous list deployment instances call. It can be used to return the next set of deployment instances in the list.

Parameters:
  `nextToken` - An identifier returned from the previous list deployment instances call. It can be used to return the next set of deployment instances in the list.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getInstanceStatusFilter

    public List<String> getInstanceStatusFilter()

A subset of instances to list by status:

- Pending: Include those instance with pending deployments.

- InProgress: Include those instance where deployments are still in progress.

- Succeeded: Include those instances with successful deployments.

- Failed: Include those instance with failed deployments.

- Skipped: Include those instance with skipped deployments.

- Unknown: Include those instance with deployments in an unknown state.

Returns:
  A subset of instances to list by status:

  - Pending: Include those instance with pending deployments.

  - InProgress: Include those instance where deployments are still in progress.

  - Succeeded: Include those instances with successful deployments.

  - Failed: Include those instance with failed deployments.

  - Skipped: Include those instance with skipped deployments.

  - Unknown: Include those instance with deployments in an unknown state.

See Also:
  `InstanceStatus`

#### setInstanceStatusFilter

    public void setInstanceStatusFilter(Collection<String> instanceStatusFilter)

A subset of instances to list by status:

- Pending: Include those instance with pending deployments.

- InProgress: Include those instance where deployments are still in progress.

- Succeeded: Include those instances with successful deployments.

- Failed: Include those instance with failed deployments.

- Skipped: Include those instance with skipped deployments.

- Unknown: Include those instance with deployments in an unknown state.

Parameters:
  `instanceStatusFilter` - A subset of instances to list by status:

  - Pending: Include those instance with pending deployments.

  - InProgress: Include those instance where deployments are still in progress.

  - Succeeded: Include those instances with successful deployments.

  - Failed: Include those instance with failed deployments.

  - Skipped: Include those instance with skipped deployments.

  - Unknown: Include those instance with deployments in an unknown state.

See Also:
  `InstanceStatus`

#### withInstanceStatusFilter

    public ListDeploymentInstancesRequest withInstanceStatusFilter(String... instanceStatusFilter)

A subset of instances to list by status:

- Pending: Include those instance with pending deployments.

- InProgress: Include those instance where deployments are still in progress.

- Succeeded: Include those instances with successful deployments.

- Failed: Include those instance with failed deployments.

- Skipped: Include those instance with skipped deployments.

- Unknown: Include those instance with deployments in an unknown state.

NOTE: This method appends the values to the existing list (if any). Use `setInstanceStatusFilter(java.util.Collection)` or `withInstanceStatusFilter(java.util.Collection)` if you want to override the existing values.

Parameters:
  `instanceStatusFilter` - A subset of instances to list by status:

  - Pending: Include those instance with pending deployments.

  - InProgress: Include those instance where deployments are still in progress.

  - Succeeded: Include those instances with successful deployments.

  - Failed: Include those instance with failed deployments.

  - Skipped: Include those instance with skipped deployments.

  - Unknown: Include those instance with deployments in an unknown state.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `InstanceStatus`

#### withInstanceStatusFilter

    public ListDeploymentInstancesRequest withInstanceStatusFilter(Collection<String> instanceStatusFilter)

A subset of instances to list by status:

- Pending: Include those instance with pending deployments.

- InProgress: Include those instance where deployments are still in progress.

- Succeeded: Include those instances with successful deployments.

- Failed: Include those instance with failed deployments.

- Skipped: Include those instance with skipped deployments.

- Unknown: Include those instance with deployments in an unknown state.

Parameters:
  `instanceStatusFilter` - A subset of instances to list by status:

  - Pending: Include those instance with pending deployments.

  - InProgress: Include those instance where deployments are still in progress.

  - Succeeded: Include those instances with successful deployments.

  - Failed: Include those instance with failed deployments.

  - Skipped: Include those instance with skipped deployments.

  - Unknown: Include those instance with deployments in an unknown state.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `InstanceStatus`

#### withInstanceStatusFilter

    public ListDeploymentInstancesRequest withInstanceStatusFilter(InstanceStatus... instanceStatusFilter)

A subset of instances to list by status:

- Pending: Include those instance with pending deployments.

- InProgress: Include those instance where deployments are still in progress.

- Succeeded: Include those instances with successful deployments.

- Failed: Include those instance with failed deployments.

- Skipped: Include those instance with skipped deployments.

- Unknown: Include those instance with deployments in an unknown state.

Parameters:
  `instanceStatusFilter` - A subset of instances to list by status:

  - Pending: Include those instance with pending deployments.

  - InProgress: Include those instance where deployments are still in progress.

  - Succeeded: Include those instances with successful deployments.

  - Failed: Include those instance with failed deployments.

  - Skipped: Include those instance with skipped deployments.

  - Unknown: Include those instance with deployments in an unknown state.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `InstanceStatus`

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListDeploymentInstancesRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`